<?php

namespace App\Http\Requests;

use Illuminate\Validation\Rule;
use Illuminate\Foundation\Http\FormRequest;

class ConductorRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array
    {
        $brandID = $_REQUEST['rowID'] ?? null; // Remplacez 'id' par le nom réel du champ qui contient l'ID dans votre formulaire

        return [
            'price' => [
                'required',
                Rule::unique('conductors')->where(function ($query) use ($brandID) {
                    return $query->where('id', '!=', $brandID)
                        ->whereNull('deleted_at');
                }),
            ],
            'destinationtype_id' => ['required'],
        ];
    }

    /**
     * Get the error messages for the defined validation rules.
     * @return array
     */
    public function messages(): array
    {
        return [

            // For name
            'price.required' => 'Le champs prix est obigatoire',
            'price.unique' => 'Cette donnée existe déjà en base',

            'destinationtype_id.required' => 'Le champs type de destination est obigatoire',

        ];
    }
}
